# bit4ID Universal Middleware e PIN Manager #

Il presente pacchetto utilizza i rilasci binari (dal sito dedicato alla Carta
Regionale dei Servizi della Regione Friuli Venezia Giulia) dei driver
`libbit4xpki.so` (generalmente chiamati *Universal Middleware*, perché
supportano tutte le smartcard ad oggi rilasciate).

Il rilascio disponibile sul sito include però un programma QT, il bit4ID PIN
Manager, che reputo possa essere installato opzionalmente (pur se molto
utile), che quindi è stato distinto in un pacchetto differente.

Il presente repository fornisce un unico PKGBUILD che compila i due pacchetti
separati e nella sezione [rilasci](//MyAUR/bit4id-tools-bin/releases) potreste
trovare l'ultimo pacchetto già compilato.

Attualmente il PKGBUILD offre supporto solo per le macchine con architettura
x86_64 (tutti i PC in vendita dal 2001 - altre architetture non x86 non sono
comunque supportate da bit4ID).

## Compilazione manuale ##

Scaricare il repository, quindi compilarlo con `makepkg` su un sistema
Archlinux-based:

    git clone https://git.sys42.eu/MyAUR/bit4id-tools-bin/
    cd bit4id-tools-bin
    makepkg -csi

## Installazione dai rilasci ##

Scaricare il file `.pkg.tar.zst` corrispondente alla parte di programma che si
vuole installare, quindi:

    cd Scaricati
    sudo pacman -U *.pkg.tar.zst
